
# Ungefährer Ablauf beim Erstellen der DCC-Certificate-Struktur

## Vorbereitung zum lokalen Server-Betrieb

```
python3 -m venv cal
# 'cal' ist das lokale Repositorium
cd cal
source bin/activate
pip install -e .
deactivate
```

## Start des lokalen Servers

Dazu sollte ein neues Terminal bzw. ein neues Terminal-Fenster geöffnet
werden, um dort später Fehlermeldungen bequem betrachten zu können.

```
/bin/bash -l -c 'source bin/activate;./server'
```

(Hinweis: Der Aufruf ist so auch in `cal.service` enthalten.)

Alternative, falls die Umgebungsvariablen `CAL_USR` oder `CAL_PWD` gesetzt sind (Test: `echo $CAL_USR`):

```
/bin/bash -l -c 'source bin/activate; env -u CAL_USR -u CAL_PWD ./server'
```

## Erstellen der DCC-Certificate-Struktur

### Kommunikation mit dem lokalen Server (Beispiel-Kalibrierung):

```
curl http://localhost:5001/dcc/2024-75570
```

### Ablauf

* Beschaffen der Kalibrierdokumente (`server.py`, Zeilen: 50...59)
* Erzeugen der DCC-Certificate-Struktur (`cal/trans.py`, Zeilen: 133 ff.)
    * Füllen diverser Angaben (`maintainers`, `begin_meas_date` usw.,
    `cal/trans.py`, Zeilen: 133...140).
    * Struktur `cert` mit diversen Einträgen füllen, die für die
    Ersetzungsfunktion (`template.render`) benötigt werden (`cal/trans.py`,
    Zeile: 143).
    * Alle relevanten Text-Abschnitte und -Absätze beschaffen und enthaltene
    jinja2-Variablen (z.B. `(((NoOfMeasurements)))`) durch die konkreten
    Werte ersetzen (`cal/trans.py`, Zeile: 160). Welche Section-Dateien
    relevant sind, ist z.B. in der Datei `sections-fm1_tlv_flow.json`
    aufgeführt. Die dortigen Strings adressieren Verzeichnisse mit
    enthaltenen TeX-Templates unterhalb von `cal/templates/latex/`.
    * Rückgabe der aufgefüllten DCC-Certificate-Struktur (`cal/trans.py`,
    Zeile: 162).
 



