import unittest
import cal.sections as sections

class TestSections(unittest.TestCase):

    def setUp(self):
        pass

    def test_get_sub_folder(self):
        """
        """
        f_arr = sections.get_sub_folders(path="partials")
        self.assertTrue(len(f_arr) > 0)

    def test_get_count_and_lang(self):
        count = sections.get_count({})
        self.assertTrue(count ==None)

        count = sections.get_count({"Meta":{"gas":[]}})
        self.assertTrue(count ==None)
        count = sections.get_count({"Meta":{"gas":[], "lang":"en"}})
        self.assertTrue(count ==None)
        count = sections.get_count({"Meta":{"gas":["He", "N2"], "lang":"de"}})
        self.assertTrue(count == "many")
        count = sections.get_count({"Meta":{"gas":["N2", "N2"], "lang":"de"}})
        self.assertTrue(count == "one")

    def test_get_all(self):
        sec = sections.get_all({"Device":{"DeviceClass":"CDG"}, "Meta":{"std":["SE3", "SE3"], "gas":["N2", "N2"], "kind":["error", "error"], "lang":"de"}})
        self.assertTrue(len(sec)>0)
        print(sec)
        self.assertIn("Heading", sec[0])
        self.assertIn("Paragraph", sec[0])
        self.assertIn("Type", sec[0]["Paragraph"][0])
        self.assertIn("Index", sec[0]["Paragraph"][0])
